/* 
 -------------------------------------------------------------------------------
 MIT License

 Copyright (c) 2024 University College Cork (UCC)
 
 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:
 
 The above copyright notice and this permission notice shall be included in all
 copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 SOFTWARE.
  
   
 SPDX-License-Identifier: MIT
   
 Contributors:
    Panagiotis Kyziropoulos - Author
    Dimitrios Bikoulis - Co-author
 
 ------------------------------------------------------------------------------- 
 */
body, html {
    margin: 0;
    padding: 0;
    height: 100%;
    font-family: Arial, sans-serif;
}

.header {
    height: 10%;
    background-color: #333;
    color: white;
    display: flex;
    flex-direction: row;
    justify-content: space-around;
}

.header img {
    height: 50%;
    width: auto;
    margin-right: 50px;
}

.header button {
    background-color: #444;
    color: white;
    border: none;
    padding: 10px 20px;
    margin-left: 10px;
    cursor: pointer;
}

.header button:hover {
    background-color: #555;
}

.header-container{
    width: 60%;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
}

.main {
    height: 90%;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
}

.main-container{
    width: 60%;
    /* height: 100%; */
    margin: 20px;
    padding: 20px;
    color: rgb(31, 31, 31);
}

.table-container {
    width: 100%;
}

table {
    width: 100%;
    border-collapse: collapse;
}

table, th, td {
    border: 1px solid #ddd;
}

th, td {
    padding: 8px;
    text-align: left;
}

th {
    background-color: #f4f4f4;
}

button.publish {
    background-color: #4CAF50;
    color: white;
    border: none;
    padding: 5px 10px;
    cursor: pointer;
}

button.publish:hover {
    background-color: #45a049;
}

button:disabled {
    background-color: #616161;
}

button:disabled:hover {
    background-color: #616161;
    cursor:not-allowed;
}

.catalog-container{
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);    
    width: 100%;
    margin-top: 30px;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    padding-bottom: 20px;
    margin-bottom: 20px;
}

.catalog-title{
    width: 95%;
    padding: 20px;    
}

.dataset-container{
    width: 95%;
    margin-top: 10px;
    background-color: #f2f8fd;
    border: 1px solid gray;
    border-radius: 5px;
}

.dataset-title{
    padding: 20px;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: flex-start;
    font-size:1.2em;
    font-weight: bold;
}

.dataset-info{
    width: 100%;
    display: flex;
    flex-wrap: wrap;
}

.info-box{
    width: 20%;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    background: #fafafa;
    border: 1px solid #ddd;
    padding: 10px;
    margin-left: 20px;
    margin-bottom: 20px;
    min-height: 150px;
    font-size: 0.8em;
    border-radius: 5px;
}

.info-box-title{
    font-weight: bold;
    font-size: 1.2em;
    text-align: left;
    margin-bottom: 20px;
}

.info-box-main-row{
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: flex-start;
    margin-bottom: 5px;
}


.term-container{
    width: 95%;
    margin-top: 10px;
    background-color: #fcfdf2;
    border: 1px solid gray;
    border-radius: 5px;
}

.term-title{
    padding: 20px;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: flex-start;
    font-size:1.2em;
    font-weight: bold;
}

.term-info{
    width: 100%;
    display: flex;
    flex-wrap: wrap;
}


.info-term-box{
    width: 40%;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    background: #fafafa;
    border: 1px solid #ddd;
    padding: 10px;
    margin-left: 20px;
    margin-bottom: 20px;
    min-height: 150px;
    font-size: 0.8em;
    border-radius: 5px;
}

h1 {
    text-align: center;
    color: #333;
}

.attribute-container {
    display: flex;
    flex-direction: column;
    margin-bottom: 15px;
    background-color: #e7e7e7;
    border-radius: 10px;
    padding: 10px;
}

label {
    font-weight: bold;
    font-size: 1.2em;
    margin-bottom: 10px;
}

.mandatory::after {
    content: " *";
    color: red;
}

input[type="text"], textarea {
    padding: 10px;
    font-size: 16px;
    border: 1px solid #ccc;
    border-radius: 5px;
    width: 100%;
    box-sizing: border-box;
    background-color: #f3f3f3;
    /* border: 1px solid black; */
}

textarea {
    background-color: #f3f3f3;
    /* height: 100px; */
}

.group {
    margin-bottom: 20px;
    padding: 15px;
    border: 1px solid #ddd;
    border-radius: 5px;
    background-color: #f9f9f9;
}

.group h2 {
    margin-top: 0;
    font-size: 18px;
    border-bottom: 1px solid #ddd;
    padding-bottom: 5px;
    color: #555;
}


.container {
    width: 90%;
    margin: 0 auto;
    padding: 20px;
}

.entity {
    background-color: #fff;
    border-radius: 8px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    margin-bottom: 20px;
    padding: 20px;
}

.entity h2 {
    margin-top: 0;
}

.attribute {
    background-color: #f9f9f9;
    border-left: 4px solid #2196F3;
    padding: 10px;
    margin: 10px 0;
    border-radius: 4px;
}

.attribute h3 {
    margin: 0;
}

.column {
    display: flex;
    flex-wrap: wrap;
}

.column > div {
    flex: 1;
    min-width: 150px;
    margin-right: 20px;
    margin-bottom: 20px;
}

.column > div:last-child {
    margin-right: 0;
}

.metadata-container{
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);    
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    /* align-items: flex-start; */
    padding: 20px;
    margin-bottom: 30px;
    background-color: #f0f0f0;
    border: 1px solid gray;
    border-radius: 10px;
}

.metadata-title-wrapper{
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
}

.metadata-title{
    height: 100%;
    font-size: 1.7em;
    font-weight: bolder;
    color:#444;
}

.metadata-info{
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}

.glyphicon{
    cursor: pointer;
}

.description{
    margin-top: 10px;
    color: #555;
    font-style: italic;
}

.example{
    font-style: italic;
    color: #555;
}

.input-checkbox{
    margin-left: 20px;
}

.button-wrapper{
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    align-items: center;
}

button.big-publish {
    background-color: #007bff;
    color: white;
    border: none;
    padding: 10px 40px;
    cursor: pointer;
    border-radius: 10px;
}

button.big-publish:hover {
    background-color: #45a049;
}

button:disabled {
    background-color: #616161;
}

button:disabled:hover {
    background-color: #616161;
    cursor:not-allowed;
}

.popup {
    position: fixed;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    background-color: #fff;
    border-radius: 8px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    width: 300px;
    padding: 20px;
    z-index: 1000;
    display: none;
}

.popup-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 999;
    display: none;
}

.popup-title {
    font-size: 1.5em;
    margin-bottom: 10px;
}

.popup-input {
    width: 100%;
    padding: 10px;
    margin-bottom: 10px;
    border: 1px solid #ccc;
    border-radius: 4px;
}

.popup-button {
    width: 100%;
    padding: 10px;
    background-color: #007bff;
    color: #fff;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

.popup-button:hover {
    background-color: #0056b3;
}

.popup-close {
    position: absolute;
    top: 3px;
    right: 5px;
    cursor: pointer;
    font-size: 1.2em;
}

.login-wrapper{
    background-color: #1f1f1f;
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: center;
    margin-bottom: 20px;
    padding: 10px;
    border-radius: 10px;
}

.response-wrapper{
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
}

.response{
    width: 70%;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    background-color: #e2e2e2;
    border: 2px solid rgb(54, 54, 54);
    border-radius: 10px;
    padding: 10px;
}

.response-messsage{
    width: 100%;
    font-size:1.1em;
    line-height: 2;
    text-align: justify;
}

.response-button {
    background-color: #4c6faf;
    color: white;
    border: none;
    cursor: pointer;
    margin-top: 20px;
    padding: 8px 30px;
    border-radius: 5px;
}

.response-button:hover {
    background-color: #45a049;
}

.response-button:disabled {
    background-color: #616161;
}

.response-button:disabled:hover {
    background-color: #616161;
    cursor:not-allowed;
}

.json-container {
    /* background-color: #ffffff; */
    margin-top: 20px;
    width: 70%;
    color: #f8f8f2;
}

.json-container-2 {
    background-color: #2d2d2d;
    margin-top: 20px;
    width: 100%;
    padding: 20px;
    border-radius: 8px;
    color: #f8f8f2;
    overflow: auto;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    white-space: pre-wrap;
    max-height: 80vh;
}

.json-key {
    color: #2373a8;
}

.json-string {
    color: #c57a08;
}

.json-number {
    color: #3bcf28;
}

.json-boolean {
    color: #66d9ef;
}

.json-null {
    color: #ec6a43;
}